Subject: [bug#44800] [PATCH v2 1/3] Add Avahi support.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 28 Nov 2020 12:02:13 +0100

Hi,

zimoun <[email-masked]> skribis:

> On Fri, 27 Nov 2020 at 18:04, Ludovic Courtès <[email-masked]> wrote:
>
>> (I wanted to add an API in Guile-Avahi to “invert inversion of control”
>> so that one could escape callback hell but never got around to
>> completing it.)
>
> Out of curiosity, what do you mean by “invert inversion of control”?

Users of the Avahi client library are supposed to pass “callbacks”,
which leads to “inversion of control”: the library decides when you code
is called.  See <https://en.wikipedia.org/wiki/Inversion_of_control>.

Inverting it would mean providing a natural way for users to call the
library.

HTH!

Ludo’.